#!/bin/bash

declare BRANCH_ICON='🌱'
declare DOWN_ARROW_ICON='↓'
declare TAG_ICON='🏷'
declare UP_ARROW_ICON='ꜛ'

function __gk_bold() {
  if [[ -n "$1" ]]
  then
    echo "${ESCAPE}${BOLD_STYLE}$1${ESCAPE}${RESET}"
  fi
}

function __gk_ahead() {
  if [[ -n "$1" ]]
  then
    echo "${ESCAPE}${BOLD_STYLE}${ESCAPE}${AHEAD_COMMITS_STYLE}$1${ESCAPE}${RESET}"
  fi
}

function __gk_behind() {
  if [[ -n "$1" ]]
  then
    echo "${ESCAPE}${BOLD_STYLE}${ESCAPE}${BEHIND_COMMITS_STYLE}$1${ESCAPE}${RESET}"
  fi
}

function __gk_branch() {
  if [[ -n "$1" ]]
  then
    echo "${ESCAPE}${BOLD_STYLE}${ESCAPE}${BRANCH_NAME_STYLE}$1${ESCAPE}${RESET}"
  fi
}

function __gk_repository() {
  if [[ -n "$1" ]]
  then
    echo "${ESCAPE}${BOLD_STYLE}${ESCAPE}${REPO_NAME_STYLE}$1${ESCAPE}${RESET}"
  fi
}

function __gk_tag() {
  if [[ -n "$1" ]]
  then
    echo "${ESCAPE}${BOLD_STYLE}${ESCAPE}${TAG_NAME_STYLE}$1${ESCAPE}${RESET}"
  fi
}

function __gk_format_repository_name_for() {
  if [[ -n "$1" ]]
  then
    __gk_repository "${1}"
  fi
}

function __gk_format_branch_name_for() {
  if [[ -n "$1" ]]
  then
   echo "$(__gk_bold "on") $(__gk_branch "${BRANCH_ICON} ${1}")"
  fi
}

function __gk_format_ahead_commits_for() {
  if [[ -n "$1" ]]
  then
    __gk_ahead "${UP_ARROW_ICON} ${1}"
  fi
}

function __gk_format_behind_commits_for() {
  if [[ -n "$1" ]]
  then
    __gk_behind "${DOWN_ARROW_ICON} ${1}"
  fi
}

function __gk_format_tag_name_for() {
  if [[ -n "$1" ]]
  then
    echo "$(__gk_bold "is") $(__gk_tag "${TAG_ICON}  ${1}")"
  fi
}
