#!/bin/bash

function __gk_get_repository_name() {
  basename "$(git rev-parse --show-toplevel 2>/dev/null)" 2>/dev/null
}

function __gk_get_repository_path() {
  git rev-parse --git-dir 2>/dev/null
}

function __gk_get_branch_name() {
  git rev-parse --abbrev-ref HEAD 2>/dev/null
}

function __gk_get_ahead_commits() {
  git branch -v 2>/dev/null | grep '*' | grep ahead | sed -E 's/.*ahead ([0-9]+).*/\1/g'
}

function __gk_get_behind_commits() {
  git branch -v 2>/dev/null | grep '*' | grep behind | sed -E 's/.*behind ([0-9]+).*/\1/g'
}

function __gk_get_tag_name() {
  git tag -l --contains 2>/dev/null | head -n 1
}
